summaryrefslogtreecommitdiffstats
path: root/patches/poppler-0.10.4/autoreconf.diff
diff options
context:
space:
mode:
Diffstat (limited to 'patches/poppler-0.10.4/autoreconf.diff')
-rw-r--r--patches/poppler-0.10.4/autoreconf.diff190
1 files changed, 190 insertions, 0 deletions
diff --git a/patches/poppler-0.10.4/autoreconf.diff b/patches/poppler-0.10.4/autoreconf.diff
new file mode 100644
index 000000000..35f0b9e54
--- /dev/null
+++ b/patches/poppler-0.10.4/autoreconf.diff
@@ -0,0 +1,190 @@
+---
+ Makefile.in | 1
+ aclocal.m4 | 1
+ config.h.in | 1
+ configure | 144 ++++++++++++++++++++++++++++++++++++++++++++++++++++++------
+ 4 files changed, 133 insertions(+), 14 deletions(-)
+
+Index: poppler-0.10.4/aclocal.m4
+===================================================================
+--- poppler-0.10.4.orig/aclocal.m4
++++ poppler-0.10.4/aclocal.m4
+@@ -1046,3 +1046,4 @@ m4_include([m4/ltsugar.m4])
+ m4_include([m4/ltversion.m4])
+ m4_include([m4/lt~obsolete.m4])
+ m4_include([m4/qt.m4])
++
+Index: poppler-0.10.4/Makefile.in
+===================================================================
+--- poppler-0.10.4.orig/Makefile.in
++++ poppler-0.10.4/Makefile.in
+@@ -789,3 +789,4 @@ ChangeLog : .git/HEAD
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
++
+Index: poppler-0.10.4/configure
+===================================================================
+--- poppler-0.10.4.orig/configure
++++ poppler-0.10.4/configure
+@@ -21318,21 +21318,137 @@ fi
+ fi
+
+
+-jpeg_incdirs="`eval echo $includedir` /usr/include /usr/local/include /mingw/include"
++if test "${ac_cv_header_jpeglib_h+set}" = set; then
++ { echo "$as_me:$LINENO: checking for jpeglib.h" >&5
++echo $ECHO_N "checking for jpeglib.h... $ECHO_C" >&6; }
++if test "${ac_cv_header_jpeglib_h+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_header_jpeglib_h" >&5
++echo "${ECHO_T}$ac_cv_header_jpeglib_h" >&6; }
++else
++ # Is the header compilable?
++{ echo "$as_me:$LINENO: checking jpeglib.h usability" >&5
++echo $ECHO_N "checking jpeglib.h usability... $ECHO_C" >&6; }
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++$ac_includes_default
++#include <jpeglib.h>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (ac_try="$ac_compile"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_compile") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest.$ac_objext; then
++ ac_header_compiler=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_header_compiler=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
++{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
++echo "${ECHO_T}$ac_header_compiler" >&6; }
++
++# Is the header present?
++{ echo "$as_me:$LINENO: checking jpeglib.h presence" >&5
++echo $ECHO_N "checking jpeglib.h presence... $ECHO_C" >&6; }
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <jpeglib.h>
++_ACEOF
++if { (ac_try="$ac_cpp conftest.$ac_ext"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } >/dev/null && {
++ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ }; then
++ ac_header_preproc=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_header_preproc=no
++fi
++
++rm -f conftest.err conftest.$ac_ext
++{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
++echo "${ECHO_T}$ac_header_preproc" >&6; }
++
++# So? What about this header?
++case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
++ yes:no: )
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: accepted by the compiler, rejected by the preprocessor!" >&5
++echo "$as_me: WARNING: jpeglib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: proceeding with the compiler's result" >&5
++echo "$as_me: WARNING: jpeglib.h: proceeding with the compiler's result" >&2;}
++ ac_header_preproc=yes
++ ;;
++ no:yes:* )
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: present but cannot be compiled" >&5
++echo "$as_me: WARNING: jpeglib.h: present but cannot be compiled" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: check for missing prerequisite headers?" >&5
++echo "$as_me: WARNING: jpeglib.h: check for missing prerequisite headers?" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: see the Autoconf documentation" >&5
++echo "$as_me: WARNING: jpeglib.h: see the Autoconf documentation" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: section \"Present But Cannot Be Compiled\"" >&5
++echo "$as_me: WARNING: jpeglib.h: section \"Present But Cannot Be Compiled\"" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: jpeglib.h: proceeding with the preprocessor's result" >&2;}
++ { echo "$as_me:$LINENO: WARNING: jpeglib.h: in the future, the compiler will take precedence" >&5
++echo "$as_me: WARNING: jpeglib.h: in the future, the compiler will take precedence" >&2;}
++
++ ;;
++esac
++{ echo "$as_me:$LINENO: checking for jpeglib.h" >&5
++echo $ECHO_N "checking for jpeglib.h... $ECHO_C" >&6; }
++if test "${ac_cv_header_jpeglib_h+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_cv_header_jpeglib_h=$ac_header_preproc
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_header_jpeglib_h" >&5
++echo "${ECHO_T}$ac_cv_header_jpeglib_h" >&6; }
++
++fi
++if test $ac_cv_header_jpeglib_h = yes; then
++ jpeg_incdir=yes
++else
++ jpeg_incdir=NO
++fi
+
+-jpeg_incdir=NO
+-for i in $jpeg_incdirs;
+-do
+- for j in jpeglib.h;
+- do
+- echo "configure: 21328: $i/$j" >&5
+- if test -r "$i/$j"; then
+- echo "taking that" >&5
+- jpeg_incdir=$i
+- break 2
+- fi
+- done
+-done
+
+ test "x$jpeg_incdir" = xNO && jpeg_incdir=
+
+Index: poppler-0.10.4/config.h.in
+===================================================================
+--- poppler-0.10.4.orig/config.h.in
++++ poppler-0.10.4/config.h.in
+@@ -182,3 +182,4 @@
+
+ /* Define for large files, on AIX-style hosts. */
+ #undef _LARGE_FILES
++